Create recording records after upload
curl --request POST \
--url https://api.peachdeskai.com/api/v1/workflow-recordings/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordings": [
{
"recording_id": "<string>",
"transcript": "<string>",
"storage_key": "<string>",
"tts_provider": "<string>",
"tts_model": "<string>",
"tts_voice_id": "<string>",
"metadata": {}
}
]
}
'import requests
url = "https://api.peachdeskai.com/api/v1/workflow-recordings/"
payload = { "recordings": [
{
"recording_id": "<string>",
"transcript": "<string>",
"storage_key": "<string>",
"tts_provider": "<string>",
"tts_model": "<string>",
"tts_voice_id": "<string>",
"metadata": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recordings: [
{
recording_id: '<string>',
transcript: '<string>',
storage_key: '<string>',
tts_provider: '<string>',
tts_model: '<string>',
tts_voice_id: '<string>',
metadata: {}
}
]
})
};
fetch('https://api.peachdeskai.com/api/v1/workflow-recordings/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/workflow-recordings/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'recordings' => [
[
'recording_id' => '<string>',
'transcript' => '<string>',
'storage_key' => '<string>',
'tts_provider' => '<string>',
'tts_model' => '<string>',
'tts_voice_id' => '<string>',
'metadata' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/workflow-recordings/"
payload := strings.NewReader("{\n \"recordings\": [\n {\n \"recording_id\": \"<string>\",\n \"transcript\": \"<string>\",\n \"storage_key\": \"<string>\",\n \"tts_provider\": \"<string>\",\n \"tts_model\": \"<string>\",\n \"tts_voice_id\": \"<string>\",\n \"metadata\": {}\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/workflow-recordings/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"recordings\": [\n {\n \"recording_id\": \"<string>\",\n \"transcript\": \"<string>\",\n \"storage_key\": \"<string>\",\n \"tts_provider\": \"<string>\",\n \"tts_model\": \"<string>\",\n \"tts_voice_id\": \"<string>\",\n \"metadata\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/workflow-recordings/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recordings\": [\n {\n \"recording_id\": \"<string>\",\n \"transcript\": \"<string>\",\n \"storage_key\": \"<string>\",\n \"tts_provider\": \"<string>\",\n \"tts_model\": \"<string>\",\n \"tts_voice_id\": \"<string>\",\n \"metadata\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"recordings": [
{
"id": 123,
"recording_id": "<string>",
"organization_id": 123,
"transcript": "<string>",
"storage_key": "<string>",
"storage_backend": "<string>",
"metadata": {},
"created_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"is_active": true,
"workflow_id": 123,
"tts_provider": "<string>",
"tts_model": "<string>",
"tts_voice_id": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Create recording records after upload
Create one or more recording records after audio files have been uploaded.
POST
/
api
/
v1
/
workflow-recordings
/
Create recording records after upload
curl --request POST \
--url https://api.peachdeskai.com/api/v1/workflow-recordings/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordings": [
{
"recording_id": "<string>",
"transcript": "<string>",
"storage_key": "<string>",
"tts_provider": "<string>",
"tts_model": "<string>",
"tts_voice_id": "<string>",
"metadata": {}
}
]
}
'import requests
url = "https://api.peachdeskai.com/api/v1/workflow-recordings/"
payload = { "recordings": [
{
"recording_id": "<string>",
"transcript": "<string>",
"storage_key": "<string>",
"tts_provider": "<string>",
"tts_model": "<string>",
"tts_voice_id": "<string>",
"metadata": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recordings: [
{
recording_id: '<string>',
transcript: '<string>',
storage_key: '<string>',
tts_provider: '<string>',
tts_model: '<string>',
tts_voice_id: '<string>',
metadata: {}
}
]
})
};
fetch('https://api.peachdeskai.com/api/v1/workflow-recordings/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/workflow-recordings/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'recordings' => [
[
'recording_id' => '<string>',
'transcript' => '<string>',
'storage_key' => '<string>',
'tts_provider' => '<string>',
'tts_model' => '<string>',
'tts_voice_id' => '<string>',
'metadata' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/workflow-recordings/"
payload := strings.NewReader("{\n \"recordings\": [\n {\n \"recording_id\": \"<string>\",\n \"transcript\": \"<string>\",\n \"storage_key\": \"<string>\",\n \"tts_provider\": \"<string>\",\n \"tts_model\": \"<string>\",\n \"tts_voice_id\": \"<string>\",\n \"metadata\": {}\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/workflow-recordings/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"recordings\": [\n {\n \"recording_id\": \"<string>\",\n \"transcript\": \"<string>\",\n \"storage_key\": \"<string>\",\n \"tts_provider\": \"<string>\",\n \"tts_model\": \"<string>\",\n \"tts_voice_id\": \"<string>\",\n \"metadata\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/workflow-recordings/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recordings\": [\n {\n \"recording_id\": \"<string>\",\n \"transcript\": \"<string>\",\n \"storage_key\": \"<string>\",\n \"tts_provider\": \"<string>\",\n \"tts_model\": \"<string>\",\n \"tts_voice_id\": \"<string>\",\n \"metadata\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"recordings": [
{
"id": 123,
"recording_id": "<string>",
"organization_id": 123,
"transcript": "<string>",
"storage_key": "<string>",
"storage_backend": "<string>",
"metadata": {},
"created_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"is_active": true,
"workflow_id": 123,
"tts_provider": "<string>",
"tts_model": "<string>",
"tts_voice_id": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Request schema for creating one or more recording records after upload.
List of recordings to create
Required array length:
1 - 20 elementsShow child attributes
Show child attributes
Response
Successful Response
Response schema for recording creation.
Created recording records
Show child attributes
Show child attributes

